=== handc/bci/Makefile ===
#
# File:    handc/bci/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.2
# Date:    %G% 11:18:45
# Build:   v0.7.2, 97.12.21
#
#


CFILES=bcinterp.c
PRODUCT=bci.o
include ../postambl.mak

bcinterp.o: bcinterp.c bcfrags.ci
