=== handc/dfltmain/Makefile ===
#
# File:    handc/dfltmain/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.3
# Date:    %G% 11:18:41
# Build:   v0.7.2, 97.12.21
#
#

CFILES=main.c findimag.c
PRODUCT=dfltmain.o
include ../postambl.mak
