=== handc/heapi/Makefile ===
#
# File:    handc/heapi/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.5
# Date:    %G% 10:47:21
# Build:   v0.7.2, 97.12.21
#

CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c
PRODUCT=heapi.o

include ../postambl.mak
