=== handc/loadboot/Makefile ===
#
# File:    handc/loadboot/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.1
# Date:    %G% 00:56:19
# Build:   v0.7.2, 97.12.21
#

CFILES=loadboot.c
PRODUCT=ldboot.o
include ../postambl.mak
