=== handc/runtime/Makefile ===
#---------------------------------------------------------*-Makefile-*----#
# File:    handc/runtime/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.15
# Date:    1997.11.19 22:29:52
# Build:   v0.7.2, 97.12.21
#
# Purpose: Makefile for core-most runtime library material
#-------------------------------------------------------------------------#

CFILES=allocns.c smemory.c regs.c interim.c \
	vinsns.c entry.c _debug.c \
	stakcach.c stack.c linkage.c intrs.c init.c \
	rsmodule.c osglue.c spin.c longint.c finalize.c \
	basemath.c classes.c strings.c function.c dynlink.c \
	dequeue.c timeprof.c fluid.c profile.c applyg.c
PRODUCT=runtime.o
include ../postambl.mak
