=== handc/unstub/Makefile ===
#---------------------------------------------------------*-Makefile-*----#
# File:    handc/unstub/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.2
# Date:    1997.11.19 22:29:27
# Build:   v0.7.2, 97.12.21
#
# Purpose: 

CFILES=unstub.c
PRODUCT=unstb.o
include ../postambl.mak
