=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.2, 97.12.21),
# module `corelib'
#
CFILES= corelib1.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c apply.c alloc.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak
