=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.2, 97.12.21),
# module `editinp'
#
CFILES= editinp1.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak
