## rscheme 0.7.3pre.1.b39

=== Makefile ===
--- 
+++ 
@@ -27,13 +27,13 @@
 MODULES=$(MODULES_DIR)/primops.mif \
    $(MODULES_DIR)/precore.mif \
    $(MODULES_DIR)/corelib.mif \
-   $(MODULES_DIR)/low_sche.mif \
+   $(MODULES_DIR)/low_scheme.mif \
    $(MODULES_DIR)/objsys.mif \
    $(MODULES_DIR)/paths.mif \
+   $(MODULES_DIR)/mathlib.mif \
    $(MODULES_DIR)/tables.mif \
-   $(MODULES_DIR)/mathlib.mif \
    $(MODULES_DIR)/iolib.mif \
-   $(MODULES_DIR)/high_sch.mif \
+   $(MODULES_DIR)/high_scheme.mif \
    $(MODULES_DIR)/start.mif \
    $(MODULES_DIR)/sort.mif \
    $(MODULES_DIR)/imageio.mif \
@@ -56,9 +56,11 @@
 	(cd $(SRC_DIR)/handc ; tar -cf - .) | (cd $(TARGET_DIR) ; tar -xf -)
 	if test -d $(TARGET_DIR)/tmp ; then : ; \
 	else mkdir $(TARGET_DIR)/tmp ; fi
-	compiler/mkcfg $(TARGET_DIR) > $(TARGET_DIR)/tmp/buildcfg.scm
-
-$(TARGET_DIR)/tmp/rsc.img:
+
+$(TARGET_DIR)/tmp/buildcfg.scm:
+	RS=$(RS) compiler/mkcfg $(TARGET_DIR) > $(TARGET_DIR)/tmp/buildcfg.scm
+
+$(TARGET_DIR)/tmp/rsc.img: $(TARGET_DIR)/tmp/buildcfg.scm
 	RS=$(RS) compiler/mkrsc \
 		./compiler \
 		$(TARGET_DIR)/tmp \
@@ -105,6 +107,10 @@
 distclean::
 	rm -rf src
 	-cd stage0 ; $(MAKE) clean
+	-cd packages/lss ; $(MAKE) clean
+	-cd packages/rstore ; $(MAKE) clean
+	-cd packages/general ; $(MAKE) clean
+	-cd packages/threads/shell ; $(MAKE) clean
 	xargs rm -rf < cleanfiles
 
 #
@@ -137,7 +143,7 @@
 corelib $(MODULES_DIR)/corelib.mif: $(BCDEFS)
 	$(RSC) -corelib $(RSC_FLAGS) $(RSC_FLAGS2) modules/corelib/corelib.mcf
 
-lowscm $(MODULES_DIR)/low_sche.mif: $(BCDEFS)
+lowscm $(MODULES_DIR)/low_scheme.mif: $(BCDEFS)
 	$(RSC) -lowscm $(RSC_FLAGS) $(RSC_FLAGS2) modules/lowscm/lowscm.mcf
 
 objsys $(MODULES_DIR)/objsys.mif: $(BCDEFS)
@@ -155,7 +161,7 @@
 iolib $(MODULES_DIR)/iolib.mif: $(BCDEFS)
 	$(RSC_F) $(RSC_FLAGS2) modules/iolib/iolib.mcf
 
-highscm $(MODULES_DIR)/high_sch.mif: $(BCDEFS)
+highscm $(MODULES_DIR)/high_scheme.mif: $(BCDEFS)
 	$(RSC_F) $(RSC_FLAGS2) modules/highscm/highscm.mcf
 
 start $(MODULES_DIR)/start.mif: $(BCDEFS)
