=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c
