=== handc/rshell/Makefile ===
--- 
+++ 
@@ -4,13 +4,14 @@
 #          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 #          as part of the RScheme project, licensed for free use
 #
-# Version: 1.8
-# Date:    %G% 15:35:52
-# Build:   v0.7.2, 97.12.21
+# Version: 1.9
+# Date:    %G% 09:43:41
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 #
 
-XCFLAGS='-DINSTALL_DIR="$(INSTALL_DIR)"'
+FINAL_INSTALL_DIR=$(INSTALL_DIR)
+XCFLAGS='-DINSTALL_DIR="$(FINAL_INSTALL_DIR)"'
 
 include $(INSTALL_DIR)/resource/buildenv/preamble.mak
