=== handc/runtime/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.15
 # Date:    1997.11.19 22:29:52
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#
