=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak
