=== stage0/iolib/Makefile ===
#/********************** Makefile for Module `iolib' **********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `iolib'
#
CFILES= iolib_l.c writers.c format.c bstrout.c strout.c stdiox.c escapstr.c op_str.c op_bstr.c parsefmt.c
INCFILES=iolib.h
PRODUCT=iolib.o

include ../postambl.mak
