=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 #
