=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 
 CFILES=loadboot.c
