=== handc/unstub/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #          as part of the RScheme project, licensed for free use
 #
 # Version: 1.2
-# Date:    1997.11.19 22:29:27
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Date:    1997-11-19 22:29:27
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 # Purpose:
