=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak
