=== stage0/iolib/Makefile ===
#/********************** Makefile for Module `iolib' **********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `iolib'
#
CFILES= iolib_l.c writers.c format.c bstrout.c strout.c stdiox.c escapstr.c op_str.c op_bstr.c parsefmt.c
INCFILES=iolib.h
PRODUCT=iolib.o

include ../postambl.mak
