=== debian/changelog ===
rscheme (0.7.3.3.b20-1) unstable; urgency=low

  * New upstream release

 -- Lars Bahner <bahner@debian.org>  Tue, 20 Apr 2004 15:14:02 +0200

rscheme (0.7.3.3.b19-1) unstable; urgency=low

  * New upstream release (closes: #238942)
  * Removed CVS entries in source
  * Added folder "sample" to module-example for those who wish to compile
    sample directly.
  

 -- Lars Bahner <bahner@debian.org>  Tue, 30 Mar 2004 19:20:48 +0200

rscheme (0.7.3.3.b16-1) unstable; urgency=low

  * Lars: New upstream release
  * Ralf: clean target in debian/rules: rm stage0/install/lib/librs.a

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Jan 2004 07:49:44 +0100

rscheme (0.7.3.3.b15-1) unstable; urgency=low

  * Lars: New upstream release

 -- Ralf Treinen <treinen@debian.org>  Tue,  6 Jan 2004 23:07:37 +0100

rscheme (0.7.3.3.b14-1) unstable; urgency=low

  * New upstream release
  * Rscheme Change Request 445:
    loops incorrectly optimized inside lambda's
    (closes: #58671)
  * Added manual autoconf entry in rules for lss/timebase
  * Corrected typos and man pages. 

 -- Lars Bahner <bahner@debian.org>  Wed, 12 Nov 2003 22:56:30 +0100

rscheme (0.7.3.3.b9-7) unstable; urgency=low

  * Corrected typo in debian/control file
  * Trying ia64, which *might* work (not closing bug).

 -- Lars Bahner <bahner@debian.org>  Thu, 30 Oct 2003 09:32:46 +0100

rscheme (0.7.3.3.b9-6) unstable; urgency=low

  * New maintainer 

 -- Lars Bahner <bahner@debian.org>  Wed, 29 Oct 2003 18:54:37 +0100

rscheme (0.7.3.3.b9-5) unstable; urgency=low

  * Standards-Version 3.6.1.
  * Conflicts: rscheme-modules (closes: Bug#211975).

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Sep 2003 19:19:30 +0200

rscheme (0.7.3.3.b9-4) unstable; urgency=low

  * Removed the hwregs files (patch 06_powerpc-nohwregs.dpatch - temporary
    patch until the gcc-3.3 bug is fixed) and updated the fasl adresses
    faslsave.c for powerpc (patch 07_powerpc-fasladdr.dpatch). Thanks to
    Donovan Kolby for his help! Closes: Bug#203452.

 -- Ralf Treinen <treinen@debian.org>  Tue,  5 Aug 2003 00:33:44 +0200

rscheme (0.7.3.3.b9-3) unstable; urgency=low

  * Revert upstream's addition of the s390-specific typedefs in config.h.in
    since they don't work (patch 04_s390.dpatch). This should resolve the
    recent s390 autobuilder failure.

 -- Ralf Treinen <treinen@debian.org>  Sun,  3 Aug 2003 23:24:22 +0200

rscheme (0.7.3.3.b9-2) unstable; urgency=low

  * Added build-dependency on autotools-dev since we try to use the
    system-wide installed config.{sub,guess}. Should solve the autobuild
    failures on 0.7.3.3.b9-1.

 -- Ralf Treinen <treinen@debian.org>  Fri,  1 Aug 2003 09:48:13 +0200

rscheme (0.7.3.3.b9-1) unstable; urgency=low

  * New upstream release
  * Converted to the dpatch patch managing system:
    - Build-depends on dpatch
    - debian/rules: include dpatch.make, have the Makefile target depend
      on patch, and the clean target depend on unpatch.
    - create directory debian/patches, and put there the patches.
  * Added build-dependency on cpio.
  * Remove more cruft leftover by "make distclean": auto4mate.cache
    directories, various generated configure files.
  * Standards-Version 3.6.0

 -- Ralf Treinen <treinen@debian.org>  Thu, 31 Jul 2003 20:58:00 +0200

rscheme (0.7.3.3.b4-1) unstable; urgency=low

  * New upstream release
  * Moved debhelper compatibility level from debian/rules to debian/compat
  * Standards-Version: 3.5.9
  * Removed a lot of cruft from packages/lss and packages/rstore, and in
    lesser extend from other directories (these are unused files which are
    no longer in upstream but survived in the debianized source tree
    through the diff.)
  * install target in debian/rules: fixed installation of the lib dir in
    /usr/lib/scheme, as suggested by Joerg F. Wittenberger -thanks.
  * "clean" target in debian/rules: use find to remove leftover
    config.{status,cahche} files, remove generated Makefiles and config.h's
    in package directories.

 -- Ralf Treinen <treinen@debian.org>  Fri,  6 Jun 2003 20:54:06 +0200

rscheme (0.7.3.3.b1-2) unstable; urgency=low

  * Added build-dependancy on autoconf (this should resolve the autobuilder
    failures seen with 0.7.3.3.b1-1).

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Mar 2003 08:22:08 +0100

rscheme (0.7.3.3.b1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright, using the modified wording from COPYING.

 -- Ralf Treinen <treinen@debian.org>  Sat,  8 Mar 2003 10:30:36 +0100

rscheme (0.7.3.2.final-1) unstable; urgency=low

  * New upstream release.
  * Applied Donovan Kolby's patch for modules/iolib/pprint.scm (solves 
    problem with compilation of the x11 module)
  * Use libgd2 instead of libgd1. Build-depend on libgd2-noxpm-dev |
    libgd2-xpm-dev (closes: Bug#180219).
  * Standards-Version: 3.5.8.
  * debian/rules, target clean: fixed removal of cruft .o and .a files.
  * packages/rstore/Makefile.in: remove definition of XCFLAGS, otherwise
    gcc comaplains about doubel option -I-.
  * DH_COMPAT=4, build-depend on debhelper >= 4.0
  * debian/clean: remove all config.log files.
  * Use more recent config.sub and config.guess
  * Short description: remove terminal "."

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Feb 2003 20:28:54 +0100

rscheme (0.7.3.2.b6-10) unstable; urgency=low

  * Changed in stage0/configure.in, in the section where the ARCH variable
    is set, the pattern "alpha-*-*" into "alpha*-*-*". This should resolve
    the build failure with 0.7.3.2.b6-[89] on alpha. Added an instruction
    to print the value of the ARCH variable.

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Nov 2002 19:47:49 +0100

rscheme (0.7.3.2.b6-9) unstable; urgency=low

  * Applied a patch by Gerhard Tonn <GerhardTonn@onlinehome.de> concerning
    the definition of type INT_64 in the files handc/runtime/basemath.c
    and stage0/runtime/basemath.c for the S390 architecture (thanks!)

