=== debian/control ===
Source: rscheme
Section: devel
Priority: optional
Maintainer: Lars Bahner <bahner@debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Standards-Version: 3.6.1
Build-depends: debhelper (>= 4.0), libgmp3-dev, libc6-dev, libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, jade, xlibs-dev, zlib1g-dev, docbook-dsssl, autoconf, dpatch, cpio, autotools-dev

Package: rscheme
Conflicts: rscheme-modules
Architecture: i386 hurd-i386 powerpc m68k alpha s390 ia64
Depends: ${shlibs:Depends}
Description: Threaded, persistent, OO, scheme interpreter and compiler
 RScheme is a scheme interpreter and compiler with object extensions,
 threads, a persistent store, an optional real-time garbage collector,
 and many other nifty features.
 .
 RScheme can generate byte compiled modules, or compile directly to C.
 This is quite easy with the current configuration.  See
 /usr/doc/rscheme/module-example for an example.
 .
 More information can be found at the rscheme home page
 http://www.rscheme.org.
