=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 #
