=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 
 CFILES=loadboot.c
