=== handc/runtime/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.15
 # Date:    1997-11-19 22:29:52
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#
