=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak
