=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak
