## rscheme 0.7.3.4.b3

=== Makefile ===
--- 
+++ 
@@ -25,35 +25,42 @@
 RS=rs
 
 MODULES=$(MODULES_DIR)/primops.mif \
-   $(MODULES_DIR)/precore.mif \
-   $(MODULES_DIR)/corelib.mif \
-   $(MODULES_DIR)/low_scheme.mif \
-   $(MODULES_DIR)/objsys.mif \
-   $(MODULES_DIR)/paths.mif \
-   $(MODULES_DIR)/mathlib.mif \
-   $(MODULES_DIR)/tables.mif \
-   $(MODULES_DIR)/iolib.mif \
-   $(MODULES_DIR)/high_scheme.mif \
-   $(MODULES_DIR)/start.mif \
-   $(MODULES_DIR)/sort.mif \
-   $(MODULES_DIR)/imageio.mif \
-   $(MODULES_DIR)/editinp.mif \
-   $(MODULES_DIR)/mlink.mif \
-   $(MODULES_DIR)/compiler.mif \
-   $(MODULES_DIR)/codegen.mif \
-   $(MODULES_DIR)/repl.mif \
-   $(MODULES_DIR)/debugger.mif \
-   $(MODULES_DIR)/regex.mif \
-   $(MODULES_DIR)/hacks.mif \
-   $(MODULES_DIR)/threads.mif
-
-base_system::  $(TARGET_DIR) $(TARGET_DIR)/tmp/rsc.img $(MODULES) \
-	$(TARGET_DIR)/tmp/system.bas \
-	$(TARGET_DIR)/configure
+	$(MODULES_DIR)/precore.mif \
+	$(MODULES_DIR)/corelib.mif \
+	$(MODULES_DIR)/low_scheme.mif \
+	$(MODULES_DIR)/objsys.mif \
+	$(MODULES_DIR)/paths.mif \
+	$(MODULES_DIR)/mathlib.mif \
+	$(MODULES_DIR)/tables.mif \
+	$(MODULES_DIR)/earley.mif \
+	$(MODULES_DIR)/iolib.mif \
+	$(MODULES_DIR)/high_scheme.mif \
+	$(MODULES_DIR)/start.mif \
+	$(MODULES_DIR)/sort.mif \
+	$(MODULES_DIR)/imageio.mif \
+	$(MODULES_DIR)/editinp.mif \
+	$(MODULES_DIR)/mlink.mif \
+	$(MODULES_DIR)/compiler.mif \
+	$(MODULES_DIR)/codegen.mif \
+	$(MODULES_DIR)/repl.mif \
+	$(MODULES_DIR)/hacks.mif \
+	$(MODULES_DIR)/regex.mif \
+	$(MODULES_DIR)/debugger.mif \
+	$(MODULES_DIR)/threads.mif
+
+base_system::  $(TARGET_DIR) rsc modules base_image configure_script
+
+rsc:: $(TARGET_DIR)/tmp/rsc.img
+modules:: $(MODULES)
+base_image:: $(TARGET_DIR)/tmp/system.bas
+configure_script:: $(TARGET_DIR)/configure
 
 $(TARGET_DIR):
-	mkdir $(TARGET_DIR)
-	(cd $(SRC_DIR)/handc ; tar -cf - .) | (cd $(TARGET_DIR) ; tar -xf -)
+	rm -rf $(TARGET_DIR) ; mkdir $(TARGET_DIR)
+	(cd ${SRC_DIR}/handc ; \
+         find . \! \( -name CVS -prune \) -print) > .handc.list
+	cat .handc.list | (cd ${SRC_DIR}/handc ; cpio -oc) \
+	                | (cd ${TARGET_DIR} ; cpio -idc)
 	if test -d $(TARGET_DIR)/tmp ; then : ; \
 	else mkdir $(TARGET_DIR)/tmp ; fi
 
@@ -105,7 +112,7 @@
 	rm -rf stage0/pkg
 
 distclean::
-	rm -rf src
+	rm -rf src .handc.list
 	-cd stage0 ; $(MAKE) clean
 	-cd packages/lss ; $(MAKE) clean
 	-cd packages/rstore ; $(MAKE) clean
@@ -126,8 +133,8 @@
 	cd stage0 ; make
 	mkdir -p stage0/install/bin
 	cd stage0 ; make shell
-	cd stage0 ; ln -s ../../rshell/rs install/bin/rs
-	cd stage0 ; ln -s ../../system.img install/resource/system.img
+	cd stage0 ; ln -fs ../../rshell/rs install/bin/rs
+	cd stage0 ; ln -fs ../../system.img install/resource/system.img
 	$(MAKE) RS=`pwd`/stage0/install/bin/rs RSC_FLAGS2=-ccode \
 	    src src/tmp/rsc.img $(MODULES) src/tmp/system.bas
 	# avoid the autoconf step ; don't want to depend on it
@@ -194,6 +201,9 @@
 regex $(MODULES_DIR)/regex.mif: $(BCDEFS)
 	$(RSC_F) modules/regex/regex.mcf
 
+earley $(MODULES_DIR)/earley.mif: $(BCDEFS)
+	$(RSC_F) modules/earley/earley.mcf
+
 threads $(MODULES_DIR)/threads.mif: $(BCDEFS)
 	$(RSC_F) modules/threads/threads.mcf
