=== doc/Makefile ===
--- 
+++ 
@@ -36,6 +36,10 @@
 	ls chaps | grep '\.sgml$$' | sed 's/\.sgml//' \
 	 | awk '{ printf("<!entity chap.%s SYSTEM \"chaps/%s.sgml\">\n",$$0,$$0); }' > chaps.index
 
+tech.index: tech
+	ls tech | grep '\.sgml$$' | sed 's/\.sgml//' \
+	 | awk '{ printf("<!entity tech.%s SYSTEM \"tech/%s.sgml\">\n",$$0,$$0); }' > tech.index
+
 figs.index: figs
 	ls figs | grep '\.eps$$' | sed 's/\.eps//' \
 	 | awk '{ printf("<!entity fig.%s SYSTEM \"figs/%s.eps\" ndata eps>\n",$$0,$$0); }' > figs.index
