=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c
