=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 
 CFILES=loadboot.c
