=== handc/rshell/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.9
 # Date:    %G% 09:43:41
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 #
