=== handc/unstub/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    1997-11-19 22:29:27
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 # Purpose:
