=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `corelib'
#
CFILES= corelib_l.c basicnum.c rational.c complex.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c alloc.c apply.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak
