=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak
