=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak
